%define name	bpconf
%define version	0.5.1
%define release %mkrel 2

Name: 	 	%{name}
Summary: 	Podcast collection for KDE
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.leonscape.co.uk/linux/bpconf/
License:	GPL
Group:		Networking/News
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	kdebase-devel
BuildRequires:  ImageMagick

%description
BPConf is a simple configuration frontend for the BashPodder tool, which can
be used to collect podcasts from across the Web. After selecting feeds and
choosing when and where you want them saved, it will collect the files for
you. It also features an option for checking feeds immediately.

%prep
%setup -q

%build
%configure2_5x --disable-rpath
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="BPConf" longtitle="Podcast catcher" section="Internet/News" mimetypes="application/rss+xml"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/hi16-app-bpconf.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cp src/hi32-app-bpconf.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cp src/hi16-app-bpconf.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%name
%{_datadir}/applnk/Utilities/bpconf.desktop
%{_datadir}/apps/bpconf/bpconfui.rc
%{_docdir}/HTML/en/%name
%{_iconsdir}/hicolor/*/apps/bpconf.png
%{_datadir}/mimelnk/rss+xml.desktop
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Thu Sep 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.1-2mdk
- Fix BuildRequires
- mkrel 

* Fri Aug 26 2005 Austin Acton <austin@mandriva.org> 0.5.1-1mdk
- initial package
